LYP.CN

PHP编译过程中常见错误信息的解决方法

在CentOS编译PHP5的时候有时会遇到以下的一些错误信息,基本上都可以通过yum安装相应的库来解决。以下是具体的一些解决办法: checking for BZip2 support … 查看全文→

CentOS 6.3用icc编译php5.4.8+Percona5.5.27+tengine1.4.1流水记

在上一篇文章里我们学习了如何安装icc编译器,今天我们来记录一下用icc编译一台web服务器的过程。但是比较遗憾的是,根据我的测试,同样的参数,用icc编译出来的环境,运行discuz … 查看全文→

php 5.4.* 编译安装笔记

据说php5.4要比此前各版本的php快不少,所以有必要安装来测试一下(国内比较流行的一些php程序比如discuz等等对php5.4的支持貌似还不太友好,所以站长朋友们还是要慎重升级 … 查看全文→

一些比较危险的php函数

服务器安装好php之后,出于安全考虑,需要禁用掉一些有潜在危险的php函数。下面这些函数如果没有特殊需要,可以禁用掉: exec,system,phpinfo,eval,passthr … 查看全文→